summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautoepatch.sh4
-rw-r--r--patches/kde-autotools-discover/kde-autotools-discover.sh30
2 files changed, 34 insertions, 0 deletions
diff --git a/autoepatch.sh b/autoepatch.sh
index 9efcc9e..48ec22d 100755
--- a/autoepatch.sh
+++ b/autoepatch.sh
@@ -57,6 +57,10 @@ main() {
break
fi
done
+
+ if type patch_trigger_action &>/dev/null; then
+ patch_trigger_action "${target}"
+ fi
# Check if the patchset requires us to fail if the
# patch is not applied. By default, don't.
diff --git a/patches/kde-autotools-discover/kde-autotools-discover.sh b/patches/kde-autotools-discover/kde-autotools-discover.sh
new file mode 100644
index 0000000..a01bd61
--- /dev/null
+++ b/patches/kde-autotools-discover/kde-autotools-discover.sh
@@ -0,0 +1,30 @@
+# Copyright 2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+patch_targets() {
+ fgrep -rl --include 'detect-autoconf.sh' 'checkAutoconf' "${WORKDIR}"
+}
+
+# Never required, but always suggested
+patch_required() {
+ return 1
+}
+
+patch_trigger_action() {
+ [[ -f "$1" ]] || return 1
+
+ ebegin "Replacing detect-autoconf.sh with a dumber one"
+
+ cat - > "$1" <<EOF
+#!/bin/sh
+export AUTOCONF="autoconf"
+export AUTOHEADER="autoheader"
+export AUTOM4TE="autom4te"
+export AUTOMAKE="automake"
+export ACLOCAL="aclocal"
+export WHICH="which"
+EOF
+ eend $?
+
+ return 0
+}